AT(1)

NOMBRE
at, batch, atq, atrm - encolan, examinan o borran trabajos pendientes de ejecución

SINOPSIS
at [-V] [-q cola] [-f archivo] [-u nombreusuario] [-mMlv] timespec ..."
at [-V] [-q cola] [-f archivo] [-u nombreusuario] [-mMkv] [-t tiempo]
at -c tarea [...]
at [-V] -l [-o formatotiempo] [tarea ...]
at [-V] [-q cola] [-o formatotiempo] [tarea ...]
at [-rd] trabajo [...]
atrm [-V] trabajo [...]
batch
at -b

DESCRIPCIÓN
at y batch leen órdenes desde la entrada estándar o un fichero especificado, los cuales van a ser ejecutados más tarde, utilizando read commands from standard input or a specified file which are to be executed at a later time, using /bin/sh.

at  ejecuta órdenes a una determinada hora.

atq lista los trabajos pendientes del usuario, a no ser que se trate del administrador; en ese caso, se listan las tareas de todo el mundo. El formato de las líneas de salida (una para cada tarea) es: Número de tarea, fecha, hora, cola y nombre de usuario.

atrm
    borra trabajos, identificados por su número.

batch
    ejecuta órdenes cuando lo permite el nivel de carga del sistema; osea, cuando la carga media cae por debajo de 0.8, o del valor especificado en la invocación de atd.

At permite definiciones de tiempo bastante complejas, ampliando el estándar POSIX.2. Acepta horas en formato HH:MM para ejecutar una tarea en un momento específico del día. (Si ese momento ya pasó, se supone que es el día siguiente). También puede definir midnight, noon o tea time (4 p. m.) y puede tener una hora con el sufijo AM o PM para que se ejecute por la mañana o por la tarde. También puede decir qué día se ejecutará la tarea, proporcionando una fecha en el formato nombre-mes día con un año opcional, o proporcionando una fecha en el formato MMDD[CC]YY, MM/DD/[CC]YY, DD.MM.[CC]YY o [CC]YY-MM-DD. La definición de una fecha debe cunplir con la definición de hora. También puede indicar horas como now + cantidad uds-tiempo, donde las unidades de tiempo será alguno de estos valores: minutes, hours, days, o weeks y puede indicar a at que ejecute la tarea hoy agregando el sufijo today a la hora o que lo ejecute mañana agregando el sufijo tomorrow a la hora.

Por ejemplo, para ejecutar un trabajo a las 4pm dentro de tres días, haríamos at 4pm + 3 days, para ejecutar un trabajo a las 10:00am del 31 de Julio, haríamos at 10am Jul 31 y para ejecutarlo mañana a la 1 de la madrugada, pondríamos at 1am tomorrow.

Si se indica que una tarea se ejecute en una fecha y hora del pasado, dicha tarea se ejecutará lo antes posible. Por ejemplo, si son las 8:00 p. m. y se ejecuta at 6:00pm today, es probable que se ejecute sobre las 8:05 p. m.

La definición de la especificación de hora se puede encontrar en /usr/share/doc/at/timespec.

Tanto para at como para batch, las órdenes se leen desde la entrada estándar o desde un archivo especificado con la opción -f y se ejecutan. El directorio de trabajo, el entorno (salvo las variables BASH_VERSINFO, DISPLAY, EUID, GROUPS, SHELLOPTS, TERM, UID y _) y la máscara de usuario se conservan desde el momento de la invocación. Como at es un programa setuid, otras variables de entorno (por ejemplo, LD_LIBRARY_PATH o LD_PRELOAD) tampoco se exportan. Esto puede cambiar en el futuro. Como solución alternativa, puede configurar estas variables de forma expresa en su tarea. Una orden at - o batch - invocado desde un shell su(1) retendrá también el identificador de usuario (userid). El usuario recibirá un correo con la salida de error estándar y la salida estándar de sus órdenes, si hay alguna. El correo se enviará utilizando la orden /usr/bin/sendmail. Si at se ejecuta desde un shell su(1), el propietario del shell de login será el que reciba el mensaje.

El administrador siempre puede utilizar estas órdenes. Para otros usuarios, los permisos para utilizarlos están definidos en los archivos /etc/at.allow y /etc/at.deny. Consulte at.allow(5) para más detalles.

OPCIONES

-V  muestra el número de versión en la salida de error estándar y termina.

-q cola
    utiliza la cola especificada. Una designación de cola consiste en una única letra; designaciones válidas van desde a hasta z. y A hasta Z. La cola a es la que se usa por defecto para at y la cola b para batch. Las colas con letras posteriores se ejecutan con creciente 'suavidad'. La cola especial "=" está reservada para trabajos que están actualmente en ejecución.

Si una tarea se envía a una cola designada con una letra mayúscula, se tratará como si se hubiera enviado a un lote. Al llegar la hora, se aplican las reglas de procesamiento por lotes con respecto al promedio de carga. Si a atq se le asigna una cola específica, solo mostrará las tareas pendientes en esa cola.

-m  Envía un correo (mail) al usuario cuando el trabajo termina incluso si no hubiese salida que mostrar.

-M  Nunca envíe correo al usuario.

-u nombre_usuario
    Envía correo a nombre_usuario en lugar de al usuario actual.

-f fichero
    Lee el trabajo desde el fichero en lugar de la entrada estándar.

-t hora
    Ejecuta la tarea a las hora, ésta viene dada en el formato [[CC]AA]MMDDhhmm[.ss]

-l  Es un alias para atq.

-r  Es un alias para atrm.

-d  Es un alias para atrm.

-b  es un alias para batch.

-v  Muestra la hora a la que se ejecutará la tarea antes de leerla.

Las horas mostradas tendrán el siguiente formato: "Thu Feb 20 14:50:00 1997".

-c  manda las tareas listadas en la línea de órdenes a la salida estándar.

-o fmt
    Formato de hora similar a strftime utilizado para la lista de tareas

ARCHIVOS
/var/spool/atd
/var/spool/atd
/proc/loadavg
/var/run/utmp
/etc/at.allow
/etc/at.deny

VÉASE TAMBIÉN
at.allow(5), at.deny(5), atd(8), cron(1), nice(1), sh(1), umask(2).

ERRORES
El funcionamiento correcto de batch para Linux depende de la presencia de un directorio del tipo proc- montado en /proc.

Si el fichero /var/run/utmp no está disponible o está corrupto, o si el usuario no tiene una sesión activa en el momento en que at es invocado, el mensaje de correo se envía al identificador de usuario que se encuentre en la variable de entorno LOGNAME. Si ésta está sin definir o vacía, se asume el actual identificador de usuario.

At y batch tal y como están implementados ahora no son satisfactorios cuando los usuarios compiten por los recursos. Si este es su caso, podría querer considerar otro sistema batch, como por ejemplo nqs.

AUTOR
At fue escrito en su mayor parte por Thomas Koenig.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Julio González Durán <jugonzalez@mx3.redestb.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.